Package org.apache.avro.file

# Class DataFileConstants

java.lang.Object
org.apache.avro.file.DataFileConstants

public class DataFileConstants extends Object
Constants used in data files.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BZIP2_CODEC`
`static final String`
`CODEC`
`static final int`
`DEFAULT_SYNC_INTERVAL`
`static final String`
`DEFLATE_CODEC`
`static final byte[]`
`MAGIC`
`static final String`
`NULL_CODEC`
`static final String`
`SCHEMA`
`static final String`
`SNAPPY_CODEC`
`static final int`
`SYNC_SIZE`
`static final byte`
`VERSION`
`static final String`
`XZ_CODEC`
`static final String`
`ZSTANDARD_CODEC`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VERSION

public static final byte VERSION

See Also:
  - Constant Field Values

### MAGIC

public static final byte[] MAGIC

### SYNC_SIZE

public static final int SYNC_SIZE

See Also:
  - Constant Field Values

### DEFAULT_SYNC_INTERVAL

public static final int DEFAULT_SYNC_INTERVAL

See Also:
  - Constant Field Values

### SCHEMA

public static final String SCHEMA

See Also:
  - Constant Field Values

### CODEC

public static final String CODEC

See Also:
  - Constant Field Values

### NULL_CODEC

public static final String NULL_CODEC

See Also:
  - Constant Field Values

### DEFLATE_CODEC

public static final String DEFLATE_CODEC

See Also:
  - Constant Field Values

### SNAPPY_CODEC

public static final String SNAPPY_CODEC

See Also:
  - Constant Field Values

### BZIP2_CODEC

public static final String BZIP2_CODEC

See Also:
  - Constant Field Values

### XZ_CODEC

public static final String XZ_CODEC

See Also:
  - Constant Field Values

### ZSTANDARD_CODEC

public static final String ZSTANDARD_CODEC

See Also:
  - Constant Field Values